Param(
    [string]
    $ComputerName
)

If ($PSBoundParameters.ContainsKey('ComputerName')) {
    $GetITDExpiredFilesParams = @{
        ComputerName = $ComputerName;
    }
    Get-ITDExpiredFiles @GetITDExpiredFilesParams -Credential $Secret:ndgov_svcitdpsuwin -Verbose | Select-Object Name,DirectoryName,Extension,LastWriteTime,Length,PSComputerName | Format-Table -AutoSize
} Else {
    Get-ITDExpiredFiles -Credential $Secret:ndgov_svcitdpsuwin -Verbose | Select-Object Name,DirectoryName,Extension,LastWriteTime,Length,PSComputerName | Format-Table -AutoSize
}